Skip to main content
`Ctrl`+`K`

# MatDenseCUDAGetArrayWrite

Provides write access to the CUDA buffer inside a `MATDENSECUDA` matrix.

## Synopsis

    PetscErrorCode MatDenseCUDAGetArrayWrite(Mat A, PetscScalar **a)

Not Collective

## Input Parameter

- A - the matrix

## Output Parameter

- a - the GPU array in column major order

## Notes

The data on the GPU may not be updated due to operations done on the CPU. If you need updated data, use `MatDenseCUDAGetArray()`.

The array must be restored with `MatDenseCUDARestoreArrayWrite()` when no longer needed.

## See Also

`MATDENSECUDA`, `MatDenseCUDAGetArray()`, `MatDenseCUDARestoreArray()`, `MatDenseCUDARestoreArrayWrite()`, `MatDenseCUDAGetArrayRead()`, `MatDenseCUDARestoreArrayRead()`

## Level

developer

## Location

src/mat/impls/dense/mpi/cupm/cuda/matmpidensecuda.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages